# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

Name:           python-pybloomfiltermmap
Version:        0.3.2
Release:        2%{?dist}
Summary:        A Bloom filter (bloomfilter) for Python built on mmap

License:        MIT
URL:            http://github.com/axiak/pybloomfiltermmap/
Source0:        http://pypi.python.org/packages/source/p/pybloomfiltermmap/pybloomfiltermmap-%{version}.tar.gz

BuildRequires:  python2-devel

%description
The goal of pybloomfiltermmap is to provide a fast, simple, scalable,
correct library for Bloom Filters in Python.

%prep
%setup -q -n pybloomfiltermmap-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc AUTHORS CHANGELOG LICENSE
%{python_sitearch}/*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 21 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.3.2-1
- Initial spec. 
